<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.ai.da.mapper.primary.TDesignPythonOutfitDetailMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="tDesignPythonOutfitDetailResultMap" type="com.ai.da.mapper.primary.entity.TDesignPythonOutfitDetail">
        <id column="id" property="id"/>
        <result column="design_id" property="designId"/>
        <result column="design_python_outfit_id" property="designPythonOutfitId"/>
        <result column="collection_element_id" property="collectionElementId"/>
        <result column="image_category" property="imageCategory"/>
        <result column="image_size" property="imageSize"/>
        <result column="image_url" property="imageUrl"/>
        <result column="mask_url" property="maskUrl"/>
        <result column="position" property="position"/>
        <result column="imageSize" property="image_size"/>
        <result column="user_id" property="userId"/>
        <result column="create_date" property="createDate"/>
        <result column="update_date" property="updateDate"/>
        <result column="is_deleted" property="isDeleted"/>
    </resultMap>


    <select id="selectTDesignPythonOutfitDetailPage" resultMap="tDesignPythonOutfitDetailResultMap">
        select * from t_design_python_outfit_detail where is_deleted = 0
    </select>

    <select id="selectListDelete" resultMap="tDesignPythonOutfitDetailResultMap">
        select * from t_design_python_outfit_detail
        where is_deleted = 1
    </select>
</mapper>
